<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_queue.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_queue.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Interface to Queue APIs. </p>

<p><a href="tivx__queue_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html">tivx_queue</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedef for a queue.  <a href="structtivx__queue.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#ga4736bb537f0bc9b2b9cc14689da5c0e2">TIVX_QUEUE_FLAG_BLOCK_ON_PUT</a>&nbsp;&nbsp;&nbsp;(0x00000001u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate queue should block 'put' operation until free space is available for 'put' to succeed.  <a href="group__group__tivx__queue.html#ga4736bb537f0bc9b2b9cc14689da5c0e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#gaf76bc1eb122ceadf7c239d4c726ee226">TIVX_QUEUE_FLAG_BLOCK_ON_GET</a>&nbsp;&nbsp;&nbsp;(0x00000002u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate queue should block 'get' operation until new element is available in queue to extract.  <a href="group__group__tivx__queue.html#gaf76bc1eb122ceadf7c239d4c726ee226"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#ga220fbb97bef3acbbb17f55b02ba4e386">tivxQueueCreate</a> (<a class="el" href="structtivx__queue.html">tivx_queue</a> *queue, uint32_t max_elements, uint32_t *queue_memory, uint32_t flags)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a queue.  <a href="group__group__tivx__queue.html#ga220fbb97bef3acbbb17f55b02ba4e386"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#ga1f9f4c5863f9cc2b42edf051f1314310">tivxQueueDelete</a> (<a class="el" href="structtivx__queue.html">tivx_queue</a> *queue)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a queue.  <a href="group__group__tivx__queue.html#ga1f9f4c5863f9cc2b42edf051f1314310"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#ga18c7c8bf6d5f4405384bdaf1d454c9d9">tivxQueuePut</a> (<a class="el" href="structtivx__queue.html">tivx_queue</a> *queue, uint32_t data, uint32_t timeout)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a element into the queue.  <a href="group__group__tivx__queue.html#ga18c7c8bf6d5f4405384bdaf1d454c9d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__queue.html#ga7e2d85b5ee64e73cda934f514d522618">tivxQueueGet</a> (<a class="el" href="structtivx__queue.html">tivx_queue</a> *queue, uint32_t *data, uint32_t timeout)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a element from the queue.  <a href="group__group__tivx__queue.html#ga7e2d85b5ee64e73cda934f514d522618"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
